local analytics = require 'engine.analytics'

local analyticsHelper = {}

function analyticsHelper.startLevel()
	analytics.startLevel()
end

function analyticsHelper.endLevel()
	analytics.endLevel()
end

function analyticsHelper.isInLevelSession()
	return analytics.isInLevelSession()
end

function analyticsHelper.setAuxVar(varName, varValue)
	if (type(varName) ~= "string") then
		error("varName must be a string! " .. type(varName) .. " was given")
	end
	
	varValue = tostring(varValue)
	
	local forbidden = {"\\", ":", "\"", "'"}

	for k,v in pairs(forbidden) do
		if (string.find(varName, v)) then
			error("auxilary variable name must not contain a " .. v .. " character")
		end
	end

	for k,v in pairs(forbidden) do
		if (string.find(varValue, v)) then
			error("auxilary variable value must not contain a " .. v .. " character")
		end
	end

	analytics.setAuxVar(varName, varValue)
end

function analyticsHelper.getAuxVar(varName)
	if (type(varName) ~= "string") then
		error("varName must be a string! " .. type(varName) .. " was given")
	end

	return analytics.getAuxVar(varName)
end

function analyticsHelper.isAuxVarSet(varName)
	if (type(varName) ~= "string") then
		error("varName must be a string! " .. type(varName) .. " was given")
	end

	return analytics.isAuxVarSet(varName)
end

function analyticsHelper.removeAuxVar(varName)
	if (type(varName) ~= "string") then
		error("varName must be a string! " .. type(varName) .. " was given")
	end

	analytics.removeAuxVar(varName)
end

function analyticsHelper.analyticsPageView(page)
	if (type(page) ~= "string") then
		error("page must be a string! " .. type(page) .. " was given")
	end

	analytics.analyticsPageView(page)
end

return analyticsHelper