local enums = {}

-- Corresponds to the NetworkObjectType class.
enums.NetworkObjectType = {
	REPLICATED = 0,
	PREDICTION_ONLY = 1
}

enums.State = {

	-- Physical Properties
	ACCELERATION_X = 1,
	ACCELERATION_Y = 2,
	POSITION_X = 4,
	POSITION_Y = 8,
	POSITION_Z = 16,
	VELOCITY_X = 32,
	VELOCITY_Y = 64,
	WIDTH = 128,
	HEIGHT = 256,
	ROTATION = 512,
	VISIBLE = 2048,
	SCALE_X = 65536,
	SCALE_Y = 131072,
	SCALE_VELOCITY_X = 262144,
	SCALE_VELOCITY_Y = 524288,
	SCALE_ACCELERATION_X = 1048576,
	SCALE_ACCELERATION_Y = 2097152,
	ANGULAR_VELOCITY = 4194304,
	ANGULAR_ACCELERATION = 8388608,
	TINT = 16777216,
	TIMERS = 4096,

	-- Animation Properties
	ANIMATION_ID = 8192,
	
	-- Other Properties
	NUMERIC_PROPS = 16384,
	INSTANCE_PROPS = 32768
}

-- Corresponds to the FacebookDbAbstract.FbUserData.OnlineStatus enum.
enums.OnlineStatus = {
    UNKNOWN = 0,
    OFFLINE = 1,
    ONLINE = 2,
    PLAYING = 3,
}

-- Corresponds to the .networking.game.DeveloperEventListener.EngineEvent enum.
enums.EngineEvents = {
	CONNECTED              = 0x00020000,
	DISCONNECTED           = 0x00020001,
	JOINED_ROOM            = 0x00020002,
	LEFT_ROOM              = 0x00020003,
	PLAYER_JOINED_ROOM     = 0x00020004,
	PLAYER_LEFT_ROOM       = 0x00020005,
	GAME_ABOUT_TO_START    = 0x00020006,
	GAME_STARTED           = 0x00020007,
    CONNECTION_FAILURE     = 0x00020008;
    JOIN_FAILURE           = 0x00020009;
}

-- Corresponds to the .networking.ConnectionState enum.
enums.ConnectionState = {
	DISCONNECTED           = 0x00010000,
	DISCONNECTING	       = 0x00010001,
	CONNECTED              = 0x00010002,
	CONNECTING			   = 0x00010003,
	JOINED 		           = 0x00010004,
	JOINING				   = 0x00010005,
	LEAVING	               = 0x00010006;
}

return enums