local gm = require 'engine.manager'
local spritesToAtlases = require 'engine.spritesToAtlases'

local resourceManager = {}

function resourceManager.addSpritesToNextPreload(spritesToPreload)
    local atlasesToPreload = {}
    for i, sp in ipairs(spritesToPreload) do
        if (spritesToAtlases[sp] ~= nil) then
            for j, spriteAtlas in ipairs(spritesToAtlases[sp]) do
                atlasesToPreload[spriteAtlas] = true
            end
        end
    end

    local atlases={}
    local n=0

    for k,v in pairs(atlasesToPreload) do
      n=n+1
      atlases[n]=k
    end

    gm.addAtlasesToNextPreload(atlases)
end

return resourceManager